net.sf.jasperreports.charts.util

## Class ChartUtil.WrappingChartRenderableFactory

- java.lang.Object
- - net.sf.jasperreports.charts.util.ChartUtil.WrappingChartRenderableFactory

- All Implemented Interfaces:
    ChartRenderableFactory, ChartRendererFactory
  Enclosing class:
    ChartUtil

  Deprecated.
  To be removed.

      public static class ChartUtil.WrappingChartRenderableFactory
      extends java.lang.Object
      implements ChartRenderableFactory

- - ### Field Summary

    - ### Fields inherited from interface net.sf.jasperreports.charts.util.ChartRenderableFactory

      `PROPERTY_CHART_RENDERER_FACTORY_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChartUtil.WrappingChartRenderableFactory(ChartRendererFactory factory)` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Renderable` | `getRenderable(JasperReportsContext jasperReportsContext, org.jfree.chart.JFreeChart chart, ChartHyperlinkProvider chartHyperlinkProvider, java.awt.geom.Rectangle2D rectangle)` Deprecated.
    `JRRenderable` | `getRenderer(org.jfree.chart.JFreeChart chart, ChartHyperlinkProvider chartHyperlinkProvider, java.awt.geom.Rectangle2D rectangle)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ChartUtil.WrappingChartRenderableFactory

          public ChartUtil.WrappingChartRenderableFactory(ChartRendererFactory factory)

      Deprecated.

  - ### Method Detail

    - #### getRenderer

          public JRRenderable getRenderer(org.jfree.chart.JFreeChart chart,
                                 ChartHyperlinkProvider chartHyperlinkProvider,
                                 java.awt.geom.Rectangle2D rectangle)

      Deprecated.
      Specified by:
        `getRenderer` in interface `ChartRendererFactory`

    - #### getRenderable

          public Renderable getRenderable(JasperReportsContext jasperReportsContext,
                                 org.jfree.chart.JFreeChart chart,
                                 ChartHyperlinkProvider chartHyperlinkProvider,
                                 java.awt.geom.Rectangle2D rectangle)

      Deprecated.
      Specified by:
        `getRenderable` in interface `ChartRenderableFactory`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com